<template lang="pug">
	#escuela.historia
		.portada
			img(src="~/assets/img/portada-doctorado.jpg", alt="")

		.titular.seccion: .contenedor
			h1 historia
			p
				Strong Egestas vel lobortis habitasse consectetur nec,&nbsp;
				| tempus risus pharetra sit. Aliquet maecenas id risus velit. Diam dui massa tincidunt pharetra hendrerit.


		.contenido.seccion: .contenedor
			p
				Strong Auctor enim adipiscing pellentesque enim. &nbsp;
				| Mattis sed integer lacus amet nunc diam, pellentesque sit natoque. Aliquet turpis massa eget sollicitudin diam commodo ultricies placerat est. Vitae sed amet aliquam at a, maecenas. Pellentesque eu, non vel ultrices vitae.

			p Enim viverra amet, vitae duis nulla quis aenean quis aliquam. Sed nisl, scelerisque feugiat amet imperdiet suspendisse penatibus. Iaculis duis amet, convallis lorem.

		.contenido.seccion
			.contenedor.resaltado
				h2 nuestra historia
				img(src="~/assets/img/programas-1.jpg", alt="", align="right")
				p
					strong Nec massa neque, &nbsp;
					| facilisis amet lectus praesent risus facilisis vitae:
				ul
					li Vulputate non ornare gravida sit. Faucibus quis facilisis tempor tellus odio sed. Semper aliquet faucibus pulvinar enim tincidunt libero. Amet tristique eros scelerisque sollicitudin neque.
					li Posuere lacus cum est viverra convallis lacinia ullamcorper diam. Nunc suscipit in lectus in. Blandit diam nunc nunc orci sed pulvinar odio. Orci pulvinar ut egestas a. At at aliquam vel aenean phasellus.

					li Convallis turpis tristique sit sed erat id ut. Interdum feugiat mauris in sit nunc, feugiat scelerisque.

		.contenido.seccion: .contenedor
				h2 linea de tiempo
				p
					strong Nec massa neque, &nbsp;
					| facilisis amet lectus praesent risus facilisis vitae:

				.acordeon
					.item.activo
						.encabezado
							.titulo 1996
							img.chevron(src="~/assets/img/chevron-sur-celeste.svg")

						.detalle
							img(src="~/assets/img/programas-2.jpg", alt="", align="right")
							ul
								li Posuere lacus cum est viverra convallis lacinia ullamcorper diam. Nunc suscipit in lectus in. Blandit diam nunc nunc orci sed pulvinar odio. Orci pulvinar ut egestas a. At at aliquam vel aenean phasellus.
								li Convallis turpis tristique sit sed erat id ut. Interdum feugiat mauris in sit nunc, feugiat scelerisque.

					each item in [1997,1998,1999,2000,2001,2003,2005,2008]
						.item
							.encabezado
								.titulo= item
								img.chevron(src="~/assets/img/chevron-sur-celeste.svg")
							.detalle
								img(src="~/assets/img/programas-2.jpg", alt="", align="right")
								ul
									//- li Posuere lacus cum est viverra convallis lacinia ullamcorper diam. Nunc suscipit in lectus in. Blandit diam nunc nunc orci sed pulvinar odio. Orci pulvinar ut egestas a. At at aliquam vel aenean phasellus.
									li Convallis turpis tristique sit sed erat id ut. Interdum feugiat mauris in sit nunc, feugiat scelerisque.

</template>

<script>

export default {
	mounted: function(){
		// const $acordeones = $(".acordeon");

		// $.each($acordeones, (i , acordeon) => {
		// 	// console.debug(acordeon);
		// 	const $items = $(acordeon).find(".item");
		// 	$items.removeClass("activo");
		// 	$items.find(".encabezado").on("click tap", evt => {
		// 		$items.removeClass("activo");
		// 		$(evt.currentTarget).parents(".item").addClass("activo");
		// 	});

		// });
	}
}

</script>

<style lang="stylus">

#escuela
	.portada
		img
			width 100%

	.titular
		@media (min-width: 768px)
			background: #FFFFFF;
			position relative
			z-index 1
			margin -1rem 0 2rem
			border-radius 1rem
			padding 5rem 2rem
			padding-bottom 0
		@media (max-width: 768px)
			padding-bottom: 0rem!important
			border-radius 0rem!important


		.contenedor
			@media (min-width: 768px)
				max-width 1280px
				align-items stretch
				flex-direction column
				text-align center

		h1
			flex 0 0 auto

			font-weight: bold;
			font-size: 60px;
			line-height: 125%;
			letter-spacing: -0.015em;
			text-transform: uppercase;
			color: #00195A;
			margin 0 0 4rem
			position relative
			padding 0 7.5vw

			&::after
				content: ""
				display: block
				position: absolute
				bottom 0
				right 0
				width: 87.25px;
				height: 7.87px;
				background: #00195A;

		p
			color #4C4B5C
			font-weight: 300;
			font-size: 20px;
			line-height: 150%;
			margin: 0 auto
			max-width 800px
			letter-spacing: -0.022em;
			text-align center

			strong
				font-weight: bold;
				color: #00195A;


	.contenido
		@media (max-width: 768px)
			order: 2;
		.contenedor
			padding 3rem 1rem
			display block
			max-width 1280px;
			@media (max-width: 768px)
				padding 3rem 0rem

			&::after
				content ""
				display: table
				width 100%

		h2
			font-weight: bold;
			font-size: 32px;
			line-height: 135%;

			letter-spacing: -0.022em;
			text-transform: uppercase;

			color: #00195A;
			margin 0 0 .5em

		p
			font-weight: 300;
			font-size: 16px;
			line-height: 150%;

			letter-spacing: -0.022em;
			color: #4C4B5C;
			max-width 800px
			@media (max-width: 768px)
				text-align: left;

			strong
				font-weight: bold;
				color: #00195A;

		ul
			max-width 550px

			li
				font-weight: 300;
				font-size: 14px;
				line-height: 150%;

				letter-spacing: -0.022em;

				color: #4C4B5C;

				margin 0 0 2em

		.media-object
			padding 0

			img
				border-radius: 6px;


			margin 0 0 2rem


		.resaltado
			background: alpha(#1CCDE6, 7%);
			border-radius: 17px;
			padding 2rem 3rem
			@media (max-width: 768px)
				display: flex;
				flex-wrap: wrap;
			h2
				@media (max-width: 768px)
					order: 1
			img
				@media (max-width: 768px)
					order: 0
					margin-top: 0;
			p
				@media (max-width: 768px)
					order: 2
			ul
				@media (max-width: 768px)
					order: 3


			.caracteristicas
				column-count 2
				column-gap 8rem
				column-rule 0.65px dashed #4C4B5C;
				max-width none
				margin-right: -50%



	.acordeon
		max-width 1000px
		padding 2rem 1rem
		margin 0 auto 2rem


		.item
			background: #FFFFFF;
			box-shadow: 0px 8px 24px rgba(0, 0, 0, 0.08);
			border-radius: 6px;
			padding: 0.75rem
			margin 0 0 0.3rem

			.encabezado
				display flex
				justify-content space-between
				padding: 0.25rem 0.75rem
				border-bottom: 1px solid #C7C7D3;
				cursor pointer

				.titulo
					font-weight: bold;
					font-size: 28px;
					line-height: 150%;
					/* identical to box height, or 42px */

					letter-spacing: -0.015em;

					/* Azul 2 - secundario */

					color: #0B2E88;

			.detalle
				display none

			&.activo
				.chevron
					transform: rotate(180deg)

				.detalle
					display block



</style>
